Лучшие compatibility вопросы ИТ разработчиков

  • 24голосов
  • 4ответа
  • 0просмотров

Как заставить Internet Explorer 8 поддерживать CSS-элемент nth child ()?

Я хочу придать эффект полоски зебры моим строкам таблицы. Во всех других браузерах это можно сделать с помощью CSS-го дочернего элемента. Но я хочу сделать это IE 8 также. Так как я могу это сделать?

Задан Sep 28, 2013, 10:01 AMотavalkabsurajR
  • 42голосов
  • 5ответов
  • 0просмотров

Тема не относится к DialogFragment на Android

Я переключаю свои старые диалоги на DialogFragment, но темы и стили, кажется, не работают. Я использую DialogFragment из библиотеки совместимости v4, а в методе onCreate я пытался вызвать setStyle (style, theme); с множеством разных тем, но ...

Задан May 17, 2012, 11:23 AMотLuTHieR
  • 18голос
  • 1ответ
  • 0просмотров

Вложенные аргументы не компилируются

Я пытаюсь скомпилировать мой код в модуль Python 3. Он работает нормально, когда я выбираю "Запустить модуль" в IDLE, но я получаю следующую синтаксическую ошибку при попытке создать дистрибутив: File ...

Задан Sep 23, 2017, 3:30 AMотZach GatesMonkeyD
  • 19голосов
  • 6ответов
  • 0просмотров

У процессоров Intel и AMD один и тот же ассемблер?

Язык C использовался для написания UNIX для достижения переносимости - одна и та же программа на языке C, скомпилированная с использованием разных компиляторов, производит разные машинные инструкции. Почему ОС Windows может работать ...

Задан Jan 11, 2019, 3:20 AMотPeter Cordesuser136281
  • 7голосов
  • 2ответа
  • 0просмотров

Почему bad_alloc (const char *) стал закрытым в Visual C ++ 2012?

Я просто пытаюсь скомпилировать немного больший проект с использованием кандидата на выпуск Visual Studio 2012, C ++. Проект был / скомпилирован с использованием VS2010 сейчас. (Я просто жадный, чтобы получить вещи C ++ 11, поэтому я попытался. ...

Задан Jun 21, 2012, 7:25 AMотpepr
  • 53голосов
  • 3ответа
  • 0просмотров

Написание обратно совместимого кода Android

Я пишу приложение, которое использует некоторые функции и классы, доступные только на последнем уровне API - 16, но я хочу, чтобы оно работало без ошибок на устройствах с уровнем API 15. Давайте использовать пару примеров. Новый ...

Задан Nov 20, 2014, 4:40 AMотPacerierTimmmm
  • 2голос
  • 1ответ
  • 0просмотров

Манифест помощника по совместимости программ не работает в Vista32

Когда я запускаю свое приложение «Приложение установки и удаления драйверов», я получаю «Помощник по совместимости программ». окно, как только мой exe закончится успешно. После просмотра ссылок SO и поиска в Google я не смог найти решение, чтобы ...

Задан May 23, 2017, 12:13 PMотCommunity2vision2
  • 3голосов
  • 3ответа
  • 0просмотров

Совместим ли байт-код Java с различными версиями Java?

Если я скомпилирую приложение, используя код Java 5 в байт-код,are the resulting .class files going to be able to run under Java 1.4? Если последний может работать, и я пытаюсь использовать среду Java 5 в моем приложении Java 1.4, есть ...

Задан Aug 12, 2009, 3:31 PMотJames McMahon
  • 3голосов
  • 3ответа
  • 0просмотров

Совместим ли байт-код Java с различными версиями Java?

Если я скомпилирую приложение, используя код Java 5 в байт-код,будут ли полученные файлы .class работать под Java 1.4? Если последний может работать, и яя пытаюсь использовать среду Java 5 в моем приложении Java 1.4, есть личто я должен ...

Задан Aug 12, 2009, 1:31 PMотJames McMahon
  • 8голосов
  • 4ответа
  • 0просмотров

Как сделать приложение для iPhone4 и ниже совместимым для iPhone5?

У меня есть приложение на рынке iphone, которое работает на iPhone 4s и ниже. Итак, теперь запущен iPhone 5, экран которого большего размера. Мой вопрос: какие изменения я должен внести в свое приложение, чтобы оно также было совместимо с iPhone ...

Задан Oct 23, 2012, 5:34 AMотAnkit Jain
  • 6голосов
  • 2ответа
  • 0просмотров

Будет ли Java 6 последней версии запускать JavaFX 2 из коробки?

Поскольку Java 7 еще не так популярна, как Java 6, мне было интересно, смогу ли я использовать некоторые вещи, такие как WebView, в последнем обновлении Java 6 JRE из коробки без необходимости загрузки пользователями JavaFX в их систему.

Задан Dec 04, 2012, 3:24 AMотSammy Guergachi
  • 15голосов
  • 2ответа
  • 0просмотров

Совместимы ли приложения Windows Phone 7 на устройствах Windows Phone 8?

очень прямой вопрос. Моя компания разработала приложение для Windows Phone 7 и тестировала его на устройстве Windows Phone 7. Можем ли мы с уверенностью предположить, что одно и то же приложение будет обратно совместимо и будет бесперебойно ...

Задан Dec 05, 2012, 12:56 PMотTiwaz89
  • 10голосов
  • 5ответов
  • 0просмотров

Запустить файл: // из Firefox или Chrome

Я ищу способ запуска файла, расположенного в нашей локальной файловой сети, для использования через локальную интрасеть с использованием Firefox или Chrome. Ссылка хорошо работает в IE: View Report [\\Start\Of\My\Network\file.xlsx]но в Firefox ...

Задан Sep 03, 2009, 3:51 PMотJuniorFlip
  • 12голос
  • 1ответ
  • 0просмотров

Оптимизация файла манифеста Android для наибольшего числа поддерживаемых устройств

У меня возникают проблемы с совместимостью моего файла манифеста со многими новыми телефонами, когда я загружаю новый файл APK, а у меня нетне понимаю почему. Я тестирую его на новомHTC Evo V [http://www.gsmarena.com/htc_one_v-4575.php]но по ...

Задан Dec 24, 2012, 4:59 AMотiwasrobbed
  • 2голосов
  • 5ответов
  • 0просмотров

IE6 CSS Hover проблемы с меню

У меня есть меню наведения CSS, которое работает во всех браузерах, кроме ... сюрприз - IE6! #menu_right ul li:hover ul { visibility: visible; }этоul изначально скрыто, очевидно. Когда я навожу над своим родителемliдолжно появиться ... но это ...

Задан Sep 17, 2009, 6:58 PMотTal
  • 4голос
  • 1ответ
  • 0просмотров

Несовместимые мобильные и пользовательские интерфейсы jquery

Хотя у меня есть масса людей, ссылающихся на подобные проблемы совместимости, 50% их проблем решаются с помощью StackOverflow. Я надеюсь, что мой вопрос сделает это 51-49 :) Рассмотрим этот код: Hello, world! HelloЕсли вы загрузите это на ...

Задан Jan 29, 2013, 7:27 AMотSudipta Chatterjee
  • 48голосов
  • 5ответов
  • 0просмотров

Как проверить совместимость базы данных SQL Server после того, как sp_dbcmptlevel устарела?

Согласно BOL (Электронная документация по SQL Server),sp_dbcmptlevel [http://technet.microsoft.com/en-us/library/ms178653.aspx] > Эта функция будет удалена в следующей версии Microsoft SQL Server. Не используйте эту функцию в новых разработках ...

Задан Oct 01, 2009, 12:25 AMотSung M. Kim
  • 3голосов
  • 3ответа
  • 0просмотров

совместимость html onchange / onblur

В настоящее время я пишу веб-сайт, который должен быть совместим со всеми браузерами, включая IE, до версии 6. Мне было интересно узнать о проблемах совместимости с этими двумя событиями, в частности: я использую их с пометить с.type='text' * ...

Задан Oct 07, 2009, 1:47 AMотRussell
  • 4голосов
  • 2ответа
  • 0просмотров

Могу ли я использовать новую пружину 3.2 с более старой пружиной безопасности 3.0

Я хочу обновитьВесенние рамки [http://www.springsource.org/]с 3.0 до 3.2, но хотелось бы пропустить обновлениевесна-безопасности [http://static.springsource.org/spring-security/site/]какое-то время. Могу ли я использовать новую пружину 3.2 с ...

Задан Mar 21, 2013, 7:27 AMотPaul Verest
  • 6голос
  • 1ответ
  • 0просмотров

Как программно предотвратить появление «Помощника по совместимости программ» в Vista (и Windows 7)?

Я разрабатываю программу на C ++, которая может использовать Adobe Flash, хотя это не является обязательным. Я использую CoCreateInstance для создания флэш-объекта, и если он не работает, я знаю, что флэш-память не установлена, поэтому я нене ...

Задан Oct 19, 2009, 8:32 AMотAsaf
  • 155голосов
  • 5ответов
  • 0просмотров

Можно ли скомпилировать код Java 8 для запуска на Java 7 JVM?

Java 8 представляет важные новые языковые функции, такие как лямбда-выражения. Эти изменения в языке сопровождаются такими значительными изменениями в скомпилированном байт-коде, которые могут помешать его запуску на виртуальной машине Java 7 ...

Задан Apr 22, 2013, 7:29 AMотbangnab
  • 6голосов
  • 4ответа
  • 0просмотров

Android-приложение, совместимое с 0 устройствами

Мое приложение https://play.google.com/store/apps/details?id=com.picturesexperience.camera [https://play.google.com/store/apps/details?id=com.picturesexperience.camera]не виден ни на одном мобильном устройстве. Устанавливается без проблем из ...

Задан May 29, 2013, 5:52 PMотSteve Harrig
  • 11голосов
  • 4ответа
  • 0просмотров

Windows: Как создать пользовательские прокладки приложений (исправления приложений)?

Windows имеет возможность применятьрегулировочные шайбык неправильным приложениям [http://thelazyadmin.com/blogs/thelazyadmin/archive/2008/10/15/creating-custom-application-compatibility-shims.aspx] , Шиммы используются для перехвата вызовов API ...

Задан Nov 10, 2009, 9:23 PMотIan Boyd
  • 37голосов
  • 2ответа
  • 0просмотров

Как заставить gradle генерировать действительный файл pom.xml в корне проекта для пользователей maven?

Хотя только в течение двух дней, я определенно продан за использование gradle для всех моих проектов Java, и выкидываю pom.xml из корня всех моих проектов. Тем не менее, я хотел бы остаться совместимым с maven, в том смысле, что я хотел бы, ...

Задан Jun 24, 2013, 3:59 PMотfge
  • 92голосов
  • 6ответов
  • 0просмотров

Какие теги HTML5 можно использовать, не беспокоясь о совместимости браузера?

Я создаю веб-приложение для использования на ПК. Какие теги HTML5 следует избегать, чтобы предотвратить проблемы совместимости с браузерами, такими как IE8 и выше? Примечание: большинству вопросов по этому предмету 1-3 года.

Задан Aug 14, 2013, 3:00 AMотSwagg
  • 5голос
  • 1ответ
  • 0просмотров

Как отладить приложение в режиме совместимости на iOS 7?

Итак, iOS 7 была выпущена, и многие наши пользователи уже обновились, хотя мы официально не поддерживаем iOS 7 и просили всех не обновляться. В данный момент приложение работает в режиме совместимости, и пользователи сообщают о множестве проблем. ...

Задан Sep 23, 2013, 11:02 AMотErik B
  • 26голосов
  • 2ответа
  • 0просмотров

Главная веб-страница в стандартном режиме, iframe в режиме совместимости: есть ли проблемы?

У нас есть устаревший HTML-контент, который мы должны отобразить в режиме совместимости. Требование исходит от наших клиентов, которые хотят, чтобы их отчеты на основе HTML (некоторые из которых были созданы еще в дни IE6) выглядели и печатались ...

Задан Sep 24, 2013, 6:11 AMотnoseratio
  • 92голосов
  • 7ответов
  • 0просмотров

Включить проект WiX в Visual Studio 2013

У меня есть решение VS 2012 с проектами установщика WiX. Однако, когда я открываю решение в VS 2013 (Release), проект WiX несовместим. Кто-нибудь знает, где / работает ли версия VS 2013 (wixtoolset?), Которая еще работает? Или есть ли способ ...

Задан Oct 18, 2013, 9:15 AMотRedeemed1
  • 28голосов
  • 2ответа
  • 0просмотров

Альтернатива sun.misc.Signal

Я начал исследования, чтобы найти альтернативуsun.misc.Signal класс, потому что он может не поддерживаться в будущих JDK (мысейчас работаю на 1.6). Когда я строю проект, я получаю: > предупреждение: sun.misc.SignalHandler является проприетарным ...

Задан Oct 31, 2013, 2:49 PMотplancys
  • 3голосов
  • 2ответа
  • 0просмотров

Ссылки, содержащие тег Label, не кликабельны в IE

Мы столкнулись с необычной ситуацией с общей совместимостью с IE. Следующая ссылка неактивна в IE, но хорошо на все остальное (яя пробовал IE8 и далее): text [http://bbc.co.uk]Хотя вышесказанное неЭто нормально, замена метки на div или span - ...

Задан Nov 22, 2013, 1:25 PMотJim T
  • 13голосов
  • 6ответов
  • 0просмотров

Firefox не показывает всплывающие подсказки на отключенных полях ввода

Firefox не делаетотображать всплывающие подсказки на отключенных полях. Следующие подсказки отображаются в IE / Chrome / Safari, кроме Firefox: Почему нетFirefox отображает всплывающую подсказку для отключенных полей Есть ли работа вокруг этого?

Задан Jan 09, 2010, 7:26 PMотdev.e.loper
  • 8голосов
  • 2ответа
  • 0просмотров

Может ли приложение предназначаться для версии 3.5 и 4.5 .Net?

Я пишу приложение WPF, что весь исходный код совместим с .NET 3.5 и 4.5. Это означает, что если я изменю цель .NET в свойствах на 3.5 или 4.5, она будет выполнена и будет работать без ошибок. Интересно, в любом случае мой файл приложения может ...

Задан Dec 31, 2013, 4:17 PMотTuyen Pham
  • 8голосов
  • 2ответа
  • 0просмотров

Выполнение кода Python 2.7 с помощью Python 2.6

У меня есть просто функция Python, которая может извлечь файл ZIP (независимый от платформы) def unzip(source, target): with zipfile.ZipFile(source , "r") as z: z.extractall(target) print "Extracted : " + source + " to: " + targetЭто нормально ...

Задан Jan 21, 2014, 7:30 PMотuser3165964
  • 13голосов
  • 3ответа
  • 0просмотров

CreateTextRange не работает в Chrome

В этом кодеcreateRange не работает в Chrome. В IE это работает. Помогите пожалуйста как исправить в этом. Есть ли другое свойство для работы, как создать диапазон. Так что это будет полезно для моего проекта. <script language=javascript> var ...

Задан Feb 05, 2014, 9:02 AMотBhargavi
  • 6голосов
  • 0ответов
  • 0просмотров

Таблица, показывающая каждую версию JQueryMobile и ее совместимость с версиями JQuery?

Учитывая, что JQueryMobile использует JQuery, я ищу определенную таблицу, в которой перечислены версии JQueryMobile и какие самые ранние и последние версии JQuery они могут использовать. К моему великому удивлениюJqueryMobile.com ...

Задан Feb 28, 2014, 3:09 PMотtherobyouknow
  • 7голосов
  • 3ответа
  • 0просмотров

ASP.Net MVC 1.0 в Visual Studio 2010

Совместима ли Visual Studio 2010 с MVC 1.0? -------------------------------------------------------------------------------- Привет ребята, Спасибо за чтение заранее. Я работаю с проектом MVC 1.0 и VS2008. Я буду очень рад перейти на ...

Задан Feb 09, 2010, 8:39 PMотSDReyes
  • 1голосов
  • 3ответа
  • 0просмотров

Поддерживают ли современные браузеры события onbeforeprint / onafterprint HTML?

Я пытаюсь обновить содержимое моей страницы для печати. Я хочу иметь метки (интервалы) для каждого элемента ввода (текстовые поля, списки и т. Д.), Чтобы предотвратить обрезку текста при печати. Перед печатью я хочу убедиться, что все эти метки ...

Задан Apr 09, 2014, 5:16 PMотeidylon
  • 8голосов
  • 3ответа
  • 0просмотров

Какая версия JaspeReports поддерживает Java 8?

Я довольно долго искал «официальное заявление» по этому вопросу, но не нашел ни одного. Поэтому, может ли кто-нибудь указать ссылку или указать некоторые новости по этому поводу? Какая версия JasperReports поддерживает Java 8 или, по крайней ...

Задан Apr 26, 2014, 7:28 PMотacostache
  • 27голосов
  • 6ответов
  • 0просмотров

Несовместимое магическое значение 1008813135

Я пишу Java-апплет и встраиваю его в веб-страницу. Раньше без проблем запускал Mac и Windows в разных браузерах. Я использовал NetBeans на Mac для создания файла .jar, который использовал апплет. По той или иной причине я решил загрузить проект ...

Задан Mar 05, 2010, 11:54 PMотWarlax
  • 91голосов
  • 10ответов
  • 0просмотров

Internet Explorer 11 отключает «отображение сайтов интрасети в режиме совместимости» через метатег не работает

Я работаю на веб-сайте интрасети более 6 месяцев, если я использую приведенный ниже HTML5doctype и метатег совместимости границ, чтобы заставить Internet Explorer не эмулировать старую версию браузера, и это сработало нормально. <!DOCTYPE html> ...

Задан Aug 28, 2014, 8:18 PMотPricey
  • 23голосов
  • 5ответов
  • 0просмотров

Есть ли список изменений для C # 4.0, которые работают в .Net 3.5?

Я видел много изменений в C # 4.0 в последнее время. Мне очень нравятся некоторые из них. Кроме того, я пока не хочу переходить на .Net 4.0 по соображениям совместимости. Итак, есть ли исчерпывающий список новых функций языка C # 4.0, которые ...

Задан Apr 01, 2010, 2:19 PMотEarlz
  • 21голос
  • 1ответ
  • 0просмотров

Что происходит, когда .NET 4.0 ссылается на сборку .NET 2.0?

Что именно делает среда выполнения .NET 4.0, если исполняемый файл .NET 4.0 содержит ссылку на сборку .NET 2.0? Выполняется ли сборка .NET 2.0 с использованием среды выполнения .NET 4.0 (другими словами, .NET 4.0 должна быть на 100% совместима с ...

Задан Apr 16, 2010, 2:16 PMотCygon
  • 73голосов
  • 5ответов
  • 0просмотров

IE11 Режим документа по умолчанию IE7. Как сбросить?

Мой Internet Explorer 11 на планшете Windows 8.1 Surface по умолчанию работает в режиме документа 7, из-за чего многие веб-сайты отображаются неправильно. Когда я открываю инструменты разработчика, он заявляет, что по умолчанию работает в режиме ...

Задан Dec 03, 2014, 1:02 PMотjim
  • 7голосов
  • 2ответа
  • 0просмотров

finishAndRemoveTask () доступно в API 21

Я бы прервал свое приложение и отменил его из списка недавних задач. finishAndRemoveTask() доступно только по API 21. Что я должен использовать на API ниже 21 ??

Задан Dec 08, 2014, 10:54 PMотuser3253955
  • 2голосов
  • 2ответа
  • 0просмотров

Минимальные требования OS X и XCode для разработки IOS 8.1

Новичок в разработке для iOS, все еще выясняющий материал. Только что купил аккаунт Apple Developer! Может кто-нибудь, пожалуйста, дайте мне знать, если это возможно, чтобы запустить xcode 6 и xcode 5 скомпилированный ipa на устройстве iPad под ...

Задан Dec 30, 2014, 8:59 PMотuser1344502
  • 25голосов
  • 10ответов
  • 0просмотров

socket.error: [Errno 10013] Была сделана попытка получить доступ к сокету способом, запрещенным его правами доступа

Я пытаюсь создать собственный стек TCP, используя Python 2.6.5 в Windows 7, чтобы локально обслуживать действующие запросы http-страницы через порт 80. Но я столкнулся с проблемой, связанной с усилением безопасности в Windows 7. Этот код работал ...

Задан May 06, 2010, 6:12 AMотbitcycle
Пред12След